## GESTransitionClip GESTransitionClip — Transition from one clip to another in a GESLayer |

## Functions

GESTransitionClip * | ges_transition_clip_new ()
GESTransitionClip * | ges_transition_clip_new_for_nick ()

## Properties

GESVideoStandardTransitionType | vtype | Read / Write / Construct

## Types and Values

| GESTransitionClip

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESContainer
                    ╰── GESClip
                        ╰── GESOperationClip
                            ╰── GESBaseTransitionClip
                                ╰── GESTransitionClip

## Implemented Interfaces

GESTransitionClip implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

Creates an object that mixes together the two underlying objects, A and B. The A object is assumed to have a higher prioirity (lower number) than the B object. At the transition in point, only A will be visible, and by the end only B will be visible.

The shape of the video transition depends on the value of the "vtype" property. The default value is "crossfade". For audio, only "crossfade" is supported.

The ID of the ExtractableType is the nickname of the vtype property value. Note that this value can be changed after creation and the GESExtractable.asset value will be updated when needed.

## Functions

### ges_transition_clip_new ()

    GESTransitionClip *
    ges_transition_clip_new (GESVideoStandardTransitionType vtype);

Creates a new GESTransitionClip.

#### Parameters

vtype | the type of transition to create |

#### Returns

a newly created GESTransitionClip, or `NULL` if something went wrong.

[transfer floating][nullable]

### ges_transition_clip_new_for_nick ()

    GESTransitionClip *
    ges_transition_clip_new_for_nick (char *nick);

Creates a new GESTransitionClip for the provided `nick` .

#### Parameters

nick | a string representing the type of transition to create |

#### Returns

The newly created GESTransitionClip, or `NULL` if something went wrong.

[transfer floating][nullable]

## Types and Values

### GESTransitionClip

    typedef struct {
      GESVideoStandardTransitionType vtype;
    } GESTransitionClip;

#### Members

GESVideoStandardTransitionType `vtype`; | a GESVideoStandardTransitionType indicating the type of video transition to apply. |

## Property Details

### The `“vtype”` property

      “vtype”                    GESVideoStandardTransitionType

a GESVideoStandardTransitionType representing the wipe to use

Flags: Read / Write / Construct

Default value: GES_VIDEO_STANDARD_TRANSITION_TYPE_CROSSFADE